Subject: Re: [devel-ipsec] xfrm/ipsec/iptfs and some new sysctls

From: Michael Richardson <[email-masked]>
Date: Sun, 21 Jul 2024 19:37:54 -0700

I think that:
xfrm_iptfs_reorder_window
and
xfrm_iptfs_drop_time
are parameters about receiving.

While
xfrm_iptfs_init_delay
and
xfrm_iptfs_max_qsize

are parameters about sender stuff.. I think the names should include that
indication.   "xfrm_iptfs_sender_init_delay" maybe.
1M byte default for max_qsize feels big, it's 1000 x 1K packets.
I realize that isn't a lot at 10Gb/s+.   I dunno.

How do you plan to get feedback on whether the defaults are working?

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [